\name{org.Hs.pep_dbconn}
\alias{org.Hs.pep_dbconn}
\alias{org.Hs.pep_dbfile}
\alias{org.Hs.pep_dbschema}
\alias{org.Hs.pep_dbInfo}
\title{Collect information about the package annotation DB}
\description{  
  Some convenience functions for getting a connection object to (or collecting 
  information about) the package annotation DB. 
}
\usage{
  org.Hs.pep_dbconn()
  org.Hs.pep_dbfile()
  org.Hs.pep_dbschema(file="", show.indices=FALSE)
  org.Hs.pep_dbInfo()
}
\arguments{ 
  \item{file}{A connection, or a character string naming the file to print to 
    (see the file argument of the cat function for the details). }
  \item{show.indices}{The CREATE INDEX statements are not shown by default. Use 
    show.indices=TRUE to get them. }
}
\details{
  \code{org.Hs.pep_dbconn} returns a connection object to the package annotation DB. 
  IMPORTANT: Don't call \code{\link[DBI]{dbDisconnect}} on the connection object 
  returned by \code{org.Hs.pep_dbconn} or you will break all the 
  \code{\link[AnnotationDbi]{AnnDbObj}} objects defined in this package! 

  \code{org.Hs.pep_dbfile} returns the path (character string) to the package
  annotation DB (this is an SQLite file). 

  \code{org.Hs.pep_dbschema} prints the schema definition of the package annotation
  DB. 

  \code{org.Hs.pep_dbInfo} prints other information about the package annotation
  DB. 
}
\examples{
  ## Show the first three rows.
  dbGetQuery(org.Hs.pep_dbconn(), "select * from seq limit 3")

  ## The connection object returned by org.Hs.pep_dbconn() was created with:
  dbConnect(SQLite(), dbname=org.Hs.pep_dbfile(), cache_size=64000, synchronous=0)

  org.Hs.pep_dbschema()

  org.Hs.pep_dbInfo()
}
